Metacat - Bug #2813

One Data Set Citation project id does not match with correct project id
04/09/2007 11:49 AM - Callie Bowdish

Status: Closed Start date: 04/09/2007
Priority: Normal Due date:

Assignee: Michael Daigle % Done: 0%
Category: registry Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 2813

Description

This is the only data set I've noticed this happening with but | think it is worth noting. Perhaps just this individual data set needs to be
fixed.

http://metacat.nceas.ucsb.edu/knb/metacat?action=read&docid=knb-lter-sev.12.1&qgformat=knb

knb-lter-sev.12.1 is cited as being knb-lter-sev.012.1

The full citation reads, White CS. . Plant Litter Decomposition . knb-lter-sev.012.1

History

#1 - 04/09/2007 12:30 PM - Matt Jones

The citation just displays the packageld that is listed in the EML metadata. Currently it is recommended that this package ID match the docid that is
used to load the document into Metacat, but this is not currently enforced. A number of LTER sites deviate from this policy, as evidenced by the
current bug that Callie reported.

We may want to improve the Metacat ingest engine to check that the packageld field in the EML doc matches the id used to load the document. This
would be specific to a given metadata standard and not general across standards, so it was avoided in the past. But its probably a good idea.

#2 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2813

#3 - 04/09/2013 05:21 PM - ben leinfelder

- Status changed from New to Closed

This is further compounded (intractable) for the DOIs we minted when becoming a DataONE MN.
